package com.yihu.jw.restmodel.base.patient;

import com.yihu.jw.restmodel.IntegerIdentityVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * 账号申诉vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2018年11月27日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "AccountAppealVO", description = "账号申诉")
public class AccountAppealVO extends IntegerIdentityVO{

    /**
	 * 申诉问题类型（0-手机号码无法使用，1-无法找回密码，2-身份证被占用）
	 */
	@ApiModelProperty(value = "申诉问题类型（0-手机号码无法使用，1-无法找回密码，2-身份证被占用）", example = "模块1")
    private String type;

    /**
	 * 申诉内容，问题描述
	 */
	@ApiModelProperty(value = "申诉内容，问题描述", example = "模块1")
    private String content;

    /**
	 * 申诉人姓名
	 */
	@ApiModelProperty(value = "申诉人姓名", example = "模块1")
    private String name;

    /**
	 * 申诉人身份证号码
	 */
	@ApiModelProperty(value = "申诉人身份证号码", example = "模块1")
    private String idcard;

    /**
	 * 申诉人手机号码
	 */
	@ApiModelProperty(value = "申诉人手机号码", example = "模块1")
    private String mobile;

    /**
	 * 身份证正反面照片，存地址，逗号分割
	 */
	@ApiModelProperty(value = "身份证正反面照片，存地址，逗号分割", example = "模块1")
    private String img;


    public String getType() {
        return type;
    }
    public void setType(String type) {
        this.type = type;
    }

    public String getContent() {
        return content;
    }
    public void setContent(String content) {
        this.content = content;
    }

    public String getName() {
        return name;
    }
    public void setName(String name) {
        this.name = name;
    }

    public String getIdcard() {
        return idcard;
    }
    public void setIdcard(String idcard) {
        this.idcard = idcard;
    }

    public String getMobile() {
        return mobile;
    }
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getImg() {
        return img;
    }
    public void setImg(String img) {
        this.img = img;
    }


}